Roku Legacy Products

Help with Roku products that no longer receive software updates, are no longer supported for channel updates, etc.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
elDucko
Level 7

can't update past version 9.1.0

I'm trying to run Curiosity Stream. They say it requires version 9.3.0, but my Roku unit insists that 9.1.0 is the latest.

Is there a way to force an update? My unit is a model 3050X - Roku 2 XD.

0 Kudos
1 REPLY 1\
StreamerUser
Level 20

Re: can't update past version 9.1.0

No, its too old/underpowered for newer firmware/app versions/updates - it was released 9 years ago.

You'll need to buy a newer model.

0 Kudos